mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

This class facilitates the use of strong names for identification purposes.

For a complete description of strong names, see .

Represents the public key information (called a blob) for a strong name. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with raw bytes of the public key blob.

  The array of bytes representing the raw public key data.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Gets or sets a value indicating whether the current public key blob is equal to the specified public key blob.

  true if the public key blob of the current object is equal to the public key blob of the parameter; otherwise, false.

  An object containing a public key blob.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32

  Hash functions map binary strings of an arbitrary length to small binary strings of a fixed length, known as hash values.

  Returns a hash code based on the public key.

  The hash code based on the public key.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Creates and returns a string representation of the public key blob.

  A hexadecimal version of the public key blob.